Name:               boom
Version:            0.5
Release:            2%{?dist}
Summary:            Simple HTTP Load tester

Group:              Development/Tools
# Not sure which version number.  Defaulting to latest for now.
# https://github.com/tarekziade/boom/issues/14
License:            ASL 2.0
URL:                http://pypi.python.org/pypi/boom
Source0:            http://pypi.python.org/packages/source/b/boom/boom-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-gevent
BuildRequires:      python-requests
BuildRequires:      python-nose
Requires:           python-gevent
Requires:           python-requests

# In case people search for it in this way
Provides:           python-boom

%description
Boom! is a simple command line tool to send some load to a web app.

It is a script you can use to quickly smoke-test your web app
deployment.  Boom! was specifically written to replace my Apache
Bench usage, because I was annoyed by some bugs and some stupid
behaviors.

%prep
%setup -q -n boom-%{version}

# Remove bundled egg-info in case it exists
rm -rf boom.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
PYTHONPATH=$(pwd) nosetests

%files
# Note, no license file yet included.  See
# https://github.com/tarekziade/boom/issues/14
%doc README.rst PKG-INFO
%{python_sitelib}/boom/
%{python_sitelib}/boom-%{version}*
%{_bindir}/boom

%changelog
* Mon Mar 11 2013 Ralph Bean <rbean@redhat.com> - 0.5-2
- Changed group to Development/Tools.
- Removed use of %%{modname} macro.
- Added Provides: python-boom for search.

* Sat Mar 09 2013 Ralph Bean <rbean@redhat.com> - 0.5-1
- Initial package for Fedora
